A few questions about setting up an AceKard 2i

Discussion in 'Acekard' started by Haggar, May 21, 2011.

May 21, 2011
  1. Haggar
    OP

    Newcomer Haggar Member

    Joined:
    May 21, 2011
    Messages:
    26
    Country:
    United States
    Hi, I recently purchased an AceKard 2i and although I've done some research, I still have a few questions.

    1) I've read the noob guide ( http://gbatemp.net/t218103-updated-n00b-gu...-your-acekard#8 ) and I'm wondering if installing AKAIO is necessary. I checked out a few reviews/tutorials on youtube and the reviewers showed that all that's required are the files for the updated firmware of AK2i for DSi 1.4.1. Then the reviewers created a "games" directory and copied the nds files into that directory. That was it. Does this method still work or is installing AKAIO a requirement?

    2) This AceKard is a gift for a friend that purchased a DS XL earlier this year. I've read that Nintendo has updated their firmware and 1.4.1 will not work on a DS that has this newer firmware. My friend has never went online with her DS but it was purchased recently so I'm wondering if Nintendo shipped these units with the new firmware. I'm not too familiar with the DS but I'm guessing there's a way to check the firmware somewhere in the settings. If not, how would I find out which firmware it has?

    3) The store where I ordered the AceKard 2i from stated that they flash the unit with 1.4.1. In case I get the unit without this firmware update, how would I flash the unit? I checked the noob guide but I still don't understand how this is done. I know that it an older DS is required, or one that has older firmware, but unless I missed something the guide doesn't explain how the update is done. Can someone point me in the right direction?

    4) Assuming that it's flashed with 1.4.1, do I still need to copy over the 2 firmware nds files to the SD memory card? The instructions from the firmware update state:

    "Please find one DSL or DSi which can use flash cart and then launch the update application in the package. Inster AK2i which need to update and follow the instructions on the screen to update."

    Is this step still a requirement?

    Thanks.
     
  2. Masked Ranger

    Member Masked Ranger GBAtemp Advanced Fan

    Joined:
    Nov 24, 2009
    Messages:
    502
    Country:
    Antarctica
    1) Yes, you need AKAIO. Not only is it better than the AceKard firmware/kernel, it is what the flashcart uses to talk to the memory card. (Simplistic answer). No firmware, no games.

    The following answers are based off of memory:

    2)Google it or check Nintendo's own website for directions to see what DSi firmware you have. From what I remember, if your DS is 1.4 or under you don't have to update your 2i. If your DSi is 1.4.x you may have to update the 2i firmware. In addition, I think that AceKard is working on fixing the 1.4.2 update.

    3)If the cards are flashed up to 1.4.1, then you're ok. From what I understand, if you have an DS or DSL, you can run the updater. You can't update a card running 1.4.1 to 1.4.2 if your DSi is running 1.4.2 generally speaking. You would pop in the updater card into the DS, run the program, pop out the updater, put in the updatee card, finish running the program and you're done.

    4)No you don't. But if your DSi is now at 1.4.2, you will have to update your card.

    Generally speaking, if you're running a flashcart in any DSi, you DON'T want to stay up to date with the DSi firmware, only with the firmware of your cart. Once your cart is updated to the current DSi firmware, then update the DSi.
     
  3. Haggar
    OP

    Newcomer Haggar Member

    Joined:
    May 21, 2011
    Messages:
    26
    Country:
    United States
    Thanks for your help. I'm going to have to read up on AKAIO and figure out how to install it.

    About your last comment, does this mean that the AceKard firmware must match the DS firmware? For example, if the DS has firmware 1.4.0 and the AceKard arrives with 1.4.1, will it work if the DS firmware is not updated to 1.4.1? If not, now that the latest firmware for the DS is 1.4.2, will there be an option to upgrade the DS firmware to 1.4.1 and not 1.4.2?

    Sorry if these are dumb questions, I'm still trying to figure this all out.

    edit: I did a search and found out how to check what the firmware version is on a DS console. In case anyone else is wondering how to do it, here's how:

    Click SETTING (with the Tool Icon) on the main menu
    Check the right hand corner of the top screen which says VER 1.x

    edit #2: I just found the AKAIO wiki. http://wiki.gbatemp.net/wiki/AKAIO#Installing_and_updating
    The instructions seem pretty straightforward. I guess the youtube videos I watched copied these files onto the micro SD card and not the 1.4.1 update files.
     
  4. Masked Ranger

    Member Masked Ranger GBAtemp Advanced Fan

    Joined:
    Nov 24, 2009
    Messages:
    502
    Country:
    Antarctica
    Talking about versions. Update your AceKard first before updating your DSi.

    Let me make a hypothetical situation. Looking at only the anti-piracy portion of updates, the hole that is open in 1.3 may be closed in 1.3.5, but a new exploit might be found. You want to update your card from the 1.3 firmware to the 1.3.5 firmware so when you update your DSi to 1.3.5 your flashcart will work.
     
  5. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    1 - AKAIO consists of a file and a folder. You unzip it and drag it onto your memory card, and it's installed. Yes you need it, it's literally the operating system of the cart. Any tutorials that didn't mention it shouldn't be followed, as the older Acekard firmware is quite deprecated.

    2 - The Acekard firmware must be at least the DSi/XL's firmware. If the DSi/XL's firmware is above what the Acekard is patched for, it will not run. The latest firmware for the DSi/XL is 1.4.2 which just came out, and has not been bypassed yet by the Acekard (they're waiting for the 3DS update it seems). To play ti safe, just tell your friend to never update his DSi/XL. No game will ever ask you to update anyways, only the online store.

    3 - This is the latest firmware for the Acekard 2i.
    http://www.acekard.com/download/ak2/ak2ifw_update_3ds_v1.zip
    It gives compatibility with DSi/XL firmwares up to 1.4.1, and the current 3DS firmware. You put it on the MicroSD and run it like a game.

    4 - No, but you should apply the 3DS update anyways just in case.
     
  6. Haggar
    OP

    Newcomer Haggar Member

    Joined:
    May 21, 2011
    Messages:
    26
    Country:
    United States
    Thanks guys. I think I have a much better understanding about how all of this works. I'm still waiting for my friend to let me know what firmware is on her DS. Correct me if I'm wrong but I think these are the basic steps that I need to follow in order to get this working:

    1) Format MicroSD card using SDFormatterv3.0
    2) Download AKAIO.1.8.6a and copy __aio (folder) & akmenu4.nds (file) to the root directory of the MicroSD card.
    3) Create a games folder within the __aio (folder) and copy backup games into that folder
    4) Optional but recommended step: download the 3ds firmware and run the file to upgrade firmware.

    As long as the firmware on the DS is 1.4 or lower, then the 1.4.1 firmware should work. AceKard firmware must be updated before the DS firmware is updated.

    I'm still unclear about updating the DS firmware properly. I don't know what the version numbers are, but just as an example, if the DS firmware is currently 1.3 and I choose to update it, is it possible to update to 1.4 and not to 1.4.2? Does Nintendo give you this option or is the update done automatically through the wifi update?
     
  7. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    Those instructions are correct.

    No, any update of the DSi will get you the latest version.

    Not updating the system is pretty much the first rule of hacking it. This goes for... pretty much anything.
     
  8. Haggar
    OP

    Newcomer Haggar Member

    Joined:
    May 21, 2011
    Messages:
    26
    Country:
    United States
    Ok. I know you said that DS games won't ask you to update, it's only the shop but I remember a few weeks ago when my friend and her sister were playing a game together, one of the DS consoles asked to do an update. They weren't connected via wifi to a router, they were just using the connect feature. They chose to perform the update. Does this sound like a firmware update?

    This took place before they were able to connect.
     
  9. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    I'm not sure, I've never heard of that.

    The original DS and DS Lite do not have upgradeable firmware, so no DS games CAN request an update, and as far as we know there have been no DSi-only games with updates.
     
  10. Haggar
    OP

    Newcomer Haggar Member

    Joined:
    May 21, 2011
    Messages:
    26
    Country:
    United States
    This happened when they played the new Super Mario Bros game. I'm thinking that unless there was an open wifi connection in the area then there's no way this could have been a firmware upgrade. I appreciate all your help.
     

Share This Page